Package uk.ac.starlink.tfcat

# Class TimeCoords

java.lang.Object
uk.ac.starlink.tfcat.TimeCoords

public abstract class TimeCoords extends Object
Represents a TFCat TimeCoords object.

Since:
  9 Feb 2022
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TimeCoords`
`CDF_TT2000`
Predefined TimeCoords instance for CDF Epoch TT2000.
`static final TimeCoords`
`JD`
Predefined TimeCoords instance for Julian Day.
`static final TimeCoords`
`MJD`
Predefined TimeCoords instance for Modified Julian Day.
`static final TimeCoords`
`MJD_CNES`
Predefined TimeCoords instance for CNES Modified Julian Day.
`static final TimeCoords`
`MJD_NASA`
Predefined TimeCoords instance for NASA Modified Julian Day.
`static final Map<String,TimeCoords>`
`PREDEF_MAP`
Map of predefined time_coords_id strings to TimeCoord instances.
`static final Pattern`
`TIME_ORIGIN_REGEX`
Regex for legal TFCat/DALI ISO-8601 time representations.
`static final Collection<String>`
`TIME_SCALES`
Collection of permitted time scale values.
`static final TimeCoords`
`UNIX`
Predefined TimeCoords instance for Unix timestamp.

## Constructor Summary

Constructors
Constructor
Description
`TimeCoords()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getName()`
Returns this system's name.
`abstract String`
`getTimeOrigin()`
Returns this system's time origin.
`abstract String`
`getTimeScale()`
Returns the identifier for this system's time scale.
`abstract String`
`getUnit()`
Returns this system's units.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TIME_SCALES

public static final Collection<String> TIME_SCALES
Collection of permitted time scale values.

### TIME_ORIGIN_REGEX

public static final Pattern TIME_ORIGIN_REGEX
Regex for legal TFCat/DALI ISO-8601 time representations.

### UNIX

public static final TimeCoords UNIX
Predefined TimeCoords instance for Unix timestamp.

### JD

public static final TimeCoords JD
Predefined TimeCoords instance for Julian Day.

### MJD

public static final TimeCoords MJD
Predefined TimeCoords instance for Modified Julian Day.

### MJD_NASA

public static final TimeCoords MJD_NASA
Predefined TimeCoords instance for NASA Modified Julian Day.

### MJD_CNES

public static final TimeCoords MJD_CNES
Predefined TimeCoords instance for CNES Modified Julian Day.

### CDF_TT2000

public static final TimeCoords CDF_TT2000
Predefined TimeCoords instance for CDF Epoch TT2000.

### PREDEF_MAP

public static final Map<String,TimeCoords> PREDEF_MAP
Map of predefined time_coords_id strings to TimeCoord instances.

## Constructor Details

### TimeCoords

public TimeCoords()

## Method Details

### getName

public abstract String getName()
Returns this system's name.

Returns:
  value of name member

### getUnit

public abstract String getUnit()
Returns this system's units.

Returns:
  value of unit member

### getTimeOrigin

public abstract String getTimeOrigin()
Returns this system's time origin. Should be, but is not guaranteed to be, conformant to `TIME_ORIGIN_REGEX`

Returns:
  value of time_origin member

### getTimeScale

public abstract String getTimeScale()
Returns the identifier for this system's time scale. Should be, but is not guaranteed to be, one of the entries from `TIME_SCALES`.

Returns:
  value of time_scale member